---
title: Subtitle placement in IMSC
slug: Related/IMSC/Subtitle_placement
tags:
  - Guide
  - IMSC
  - Layout
  - Positioning
  - captions
  - region
  - subtitles
---
<div class="summary">IMSC allows for very explicit positioning of the text over the video content you are displaying it against. There are a few tricks and best practices that can be used in order to simplify the placement of the on-screen text.</div>

<h2 id="Considering_correct_text_placement">Considering correct text placement</h2>

<p>Creating an IMSC document that has the proper text placement and flow is one of the most crucial things to get correct. Unlike some other subtitle formats, IMSC allows for very explicit placement of the text anywhere on the screen. With that said, the most common subtitle styles used today are bottom centered and top centered on the screen.</p>

<h2 id="The_&lt;region&gt;_element">The &lt;region&gt; element</h2>

<p>The <code>&lt;region&gt;</code> element essentially creates a box on the screen for the text to appear inside. The on-screen text will never be displayed outside of this box. In addition to describing the size and position of the box in which the text can appear, the <code>&lt;region&gt;</code> element also defines the horizontal and vertical alignment of the text.</p>

<p>In the example below, we have defined two regions. Both region boxes are the same size, which is 80% of the image width and 80% of the image height. This box is centered on the screen.</p>

<p>{{EmbedGHLiveSample("imsc/layout-top-bottom/layout-top-bottom.html", '100%', 1000)}}</p>

<p>The important items to consider here are:</p>

<ul>
 <li><code>tts:origin</code> — the upper left corner of the region box, specified as X Y coordinate values. This should be described in percentage values.</li>
 <li><code>tts:extent</code> — describes how far to the right of the video the region box goes, then how far down.</li>
 <li><code>tts:backgroundColor</code> — describes the color of the region box. This will most commonly be transparent, however you are welcome to fill it in with a color if that works for your design.</li>
 <li><code>tts:showBackground</code> — should be set to <code>whenActive</code>. The other allowable value is <code>always</code>, which tells the IMSC decoder to display all region boxes with the value of <code>always</code> at the same time. This is very unlikely to be something you want to do.</li>
 <li><code>tts:textAlign</code> — the horizontal text justification. Like a word processor, this can be set to <code>left</code>, <code>center</code>, or <code>right</code>. <code>center</code> is the most common text justification for subtitles.</li>
 <li><code>tts:displayAlign</code> — the vertical alignment of the text. This can be set to <code>before</code>, <code>center</code>, or <code>after</code>. <code>before</code> means that the text will start from the very top of the region box, and flow downwards. <code>center</code> means the text will be vertically centered within the region box. After means that the text will start from the very bottom of the region box, and flow upwards.</li>
</ul>

<section class="Quick_links" id="Quick_Links">
<ol>
 <li><a href="/en-US/docs/Related/IMSC/"><strong>IMSC</strong></a></li>
 <li class="toggle">
  <details open><summary>IMSC guides</summary>
  <ol>
   <li><a href="/en-US/docs/Related/IMSC/Basics">IMSC basics</a></li>
   <li><a href="/en-US/docs/Related/IMSC/Using_the_imscJS_polyfill">Using the imscJS polyfill</a></li>
   <li><a href="/en-US/docs/Related/IMSC/Styling">Styling IMSC documents</a></li>
   <li><a href="/en-US/docs/Related/IMSC/Subtitle_placement">Subtitle placement in IMSC</a></li>
   <li><a href="/en-US/docs/Related/IMSC/Namespaces">Namespaces in IMSC</a></li>
   <li><a href="/en-US/docs/Related/IMSC/Timing_in_IMSC">Timing in IMSC</a></li>
   <li><a href="/en-US/docs/Related/IMSC/Mapping_video_time_codes_to_IMSC">Mapping video time codes to IMSC</a></li>
   <li><a href="/en-US/docs/Related/IMSC/IMSC_and_other_standards">IMSC and other standards</a></li>
  </ol>
  </details>
 </li>
</ol>
</section>
